declare const messageOptions: {
    readonly nxCloudCreation: readonly [{
        readonly code: "set-up-distributed-caching-ci";
        readonly message: "Enable distributed caching to make your CI faster";
    }];
    readonly nxCloudMigration: readonly [{
        readonly code: "make-ci-faster";
        readonly message: "Enable distributed caching to make your CI faster?";
    }];
};
type MessageKey = keyof typeof messageOptions;
export declare class PromptMessages {
    private selectedMessages;
    getPromptMessage(key: MessageKey): string;
    codeOfSelectedPromptMessage(key: MessageKey): string;
}
export declare const messages: PromptMessages;
/**
 * We are incrementing a counter to track how often create-nx-workspace is used in CI
 * vs dev environments. No personal information is collected.
 */
export declare function recordStat(opts: {
    command: string;
    nxVersion: string;
    useCloud: boolean;
    meta: string;
}): Promise<void>;
export {};
