import * as yargs from 'yargs';
import { CI } from '../utils/ci/ci-list';
import { PackageManager } from '../utils/package-manager';
export declare function determineNxCloud(parsedArgs: yargs.Arguments<{
    nxCloud: boolean;
}>): Promise<boolean>;
export declare function determineCI(parsedArgs: yargs.Arguments<{
    ci?: CI;
    allPrompts?: boolean;
}>, nxCloud: boolean): Promise<string>;
export declare function determineDefaultBase(parsedArgs: yargs.Arguments<{
    defaultBase?: string;
}>): Promise<string>;
export declare function determinePackageManager(parsedArgs: yargs.Arguments<{
    packageManager: string;
}>): Promise<PackageManager>;
