import yargs = require('yargs');
export declare function withNxCloud<T = unknown>(argv: yargs.Argv<T>): yargs.Argv<T & {
    nxCloud: boolean | undefined;
}>;
export declare function withCI<T = unknown>(argv: yargs.Argv<T>): yargs.Argv<T & {
    ci: string | undefined;
}>;
export declare function withAllPrompts<T = unknown>(argv: yargs.Argv<T>): yargs.Argv<T & {
    allPrompts: boolean;
}>;
export declare function withPackageManager<T = unknown>(argv: yargs.Argv<T>): yargs.Argv<T & {
    packageManager: string | undefined;
}>;
export declare function withGitOptions<T = unknown>(argv: yargs.Argv<T>): yargs.Argv<T & {
    defaultBase: string | undefined;
} & {
    skipGit: boolean;
} & {
    "commit.name": string | undefined;
} & {
    "commit.email": string | undefined;
} & {
    "commit.message": string;
}>;
export declare function withOptions<T>(argv: yargs.Argv<T>, ...options: ((argv: yargs.Argv<T>) => yargs.Argv<T>)[]): any;
