"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.presetOptions = void 0;
const preset_1 = require("./preset");
exports.presetOptions = [
    {
        name: preset_1.Preset.Apps,
        message: 'apps              [an empty monorepo with no plugins with a layout that works best for building apps]',
    },
    {
        name: preset_1.Preset.TS,
        message: 'ts                [an empty monorepo with the JS/TS plugin preinstalled]',
    },
    {
        name: preset_1.Preset.ReactMonorepo,
        message: 'react             [a monorepo with a single React application]',
    },
    {
        name: preset_1.Preset.AngularMonorepo,
        message: 'angular           [a monorepo with a single Angular application]',
    },
    {
        name: preset_1.Preset.VueMonorepo,
        message: 'vue               [a monorepo with a single Vue application]',
    },
    {
        name: preset_1.Preset.NextJs,
        message: 'next.js           [a monorepo with a single Next.js application]',
    },
    {
        name: preset_1.Preset.Nest,
        message: 'nest              [a monorepo with a single Nest application]',
    },
    {
        name: preset_1.Preset.ReactNative,
        message: 'react-native      [a monorepo with a single React Native application]',
    },
];
