"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFileName = exports.stringifyCollection = void 0;
function stringifyCollection(items) {
    return items.map((item) => `"${item}"`).join(', ');
}
exports.stringifyCollection = stringifyCollection;
function getFileName(name) {
    return name
        .replace(/([a-z\d])([A-Z])/g, '$1_$2')
        .toLowerCase()
        .replace(/[ _]/g, '-');
}
exports.getFileName = getFileName;
